Page MenuHomePhabricator

Chinese language compatibility
Closed, ResolvedPublic

Description

Chinese language has Traditional and Simplified variants. These used to be two different wikis but were merged at some point. We will need to be able to deal with input from both.

Fortunately Traditional and Simplified variants have a one on one relationship so we can convert between each other but this means when reading and training we should be left with a single variant. Furthermore wikilabels should translate between the two during the handcoding phase.

Chinese would also benefit from the n-gram approach we are working on since a good chunk of Chinese badwords (as they are in the filter) are made out of two or more characters.

Event Timeline

ToAruShiroiNeko updated the task description. (Show Details)
ToAruShiroiNeko raised the priority of this task from to High.
ToAruShiroiNeko assigned this task to Ladsgroup.
ToAruShiroiNeko added a subscriber: ToAruShiroiNeko.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 30 2015, 2:54 PM
Halfak removed Ladsgroup as the assignee of this task.Sep 2 2015, 1:57 PM
Halfak set Security to None.
ToAruShiroiNeko updated the task description. (Show Details)
Halfak closed this task as Resolved.Nov 19 2015, 11:43 PM